PluginDefinition (CMDB Model API)
Keywords: com.collation.platform.model.plugin.PluginDefinition interface

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.collation.platform.model.plugin
Interface PluginDefinition

All Superinterfaces:
  Configuration, ModelObject, java.io.Serializable

    public interface PluginDefinition

extends Configuration

Field Summary

Fields inherited from interface com.collation.platform.model.Configuration
`OPER_ACCEPTED, OPER_NEW, OPER_REJECTED`

Method Summary
`java.lang.String` | `getCommandName()`
`boolean` | `getCommandRemote()`
`java.lang.String` | `getLocalWorkingDirectory()`
`java.lang.String` | `getPluginType()`
`java.lang.String` | `getRemoteWorkingDirectory()`
`boolean` | `hasCommandName()`
`boolean` | `hasCommandRemote()`
`boolean` | `hasLocalWorkingDirectory()`
`boolean` | `hasPluginType()`
`boolean` | `hasRemoteWorkingDirectory()`
`void` | `setCommandName(java.lang.String commandName)`
`void` | `setCommandRemote(boolean runRemotely)`
`void` | `setLocalWorkingDirectory(java.lang.String localLocation)`
`void` | `setPluginType(java.lang.String pluginType)`
`void` | `setRemoteWorkingDirectory(java.lang.String remoteLocation)`

Methods inherited from interface com.collation.platform.model.Configuration
`getEnabled, getFamilyName, getMssGuid, getName, getOperationalStatus, getRejectionReason, hasEnabled, hasFamilyName, hasMssGuid, hasName, hasOperationalStatus, hasRejectionReason, setEnabled, setFamilyName, setMssGuid, setName, setOperationalStatus, setRejectionReason`

Methods inherited from interface com.collation.platform.model.ModelObject
`getAdminState, getAllAttributes, getBidiFlag, getBidiFormat, getCDMSource, getCmdbSource, getContextIp, getCreatedBy, getDescription, getDisplayName, getExtendedAttributes, getGuid, getLabel, getLastModifiedBy, getLastModifiedTime, getObjectType, getSourceToken, hasAdminState, hasBidiFlag, hasBidiFormat, hasCDMSource, hasCmdbSource, hasContextIp, hasDescription, hasDisplayName, hasExtendedAttributes, hasGuid, hasLabel, hasObjectType, hasSourceToken, setAdminState, setBidiFlag, setBidiFormat, setCDMSource, setCmdbSource, setContextIp, setDescription, setExtendedAttributes, setGuid, setLabel, setObjectType, setSourceToken`

Method Detail

### getPluginType

    java.lang.String getPluginType()
                                   throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setPluginType

    void setPluginType(java.lang.String pluginType)

### hasPluginType

    boolean hasPluginType()

### getCommandName

    java.lang.String getCommandName()
                                    throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setCommandName

    void setCommandName(java.lang.String commandName)

### hasCommandName

    boolean hasCommandName()

### getLocalWorkingDirectory

    java.lang.String getLocalWorkingDirectory()
                                              throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setLocalWorkingDirectory

    void setLocalWorkingDirectory(java.lang.String localLocation)

### hasLocalWorkingDirectory

    boolean hasLocalWorkingDirectory()

### getCommandRemote

    boolean getCommandRemote()
                             throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setCommandRemote

    void setCommandRemote(boolean runRemotely)

### hasCommandRemote

    boolean hasCommandRemote()

### getRemoteWorkingDirectory

    java.lang.String getRemoteWorkingDirectory()
                                               throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setRemoteWorkingDirectory

    void setRemoteWorkingDirectory(java.lang.String remoteLocation)

### hasRemoteWorkingDirectory

    boolean hasRemoteWorkingDirectory()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD